<?php
session_start();

if( isset($rutaRaiz) && $rutaRaiz) include_once('config.php');
else include_once('../config.php');

include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$_SESSION['agrupaciones']=array();

$tipoOrdenConPackingList=( ($_SESSION['orden']['TipoOrden']=='S' || $_SESSION['orden']['TipoOrden']=='A') && $_SESSION['orden']['PackingList'] );

//13-09-2022 mostrar ubicaciones
$pedirContenedorDestinoUbicacion=$_POST['pedirContenedorDestinoUbicacion'];

//27-10-2022
$gestionPickingCierrePalets=($_SESSION['parametrosSGA']['GestionPicking']=='SP' && $_SESSION['orden']['TipoOrden']=='P');


//Error detectado IGAN 26-1-2021 para ordenes de traspaso sin PL
//if($_SESSION['orden']['TipoOrden']!='P') { //Solo si la OP no es de Picking (sino de prepararación normal a carga)
if( $tipoOrdenConPackingList ) { //Solo si la OP no es de Picking (sino de prepararación normal a carga)

	

	$peticion='SGAInformacionPackingList#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['orden']['PackingList'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$datosPackingList=$resultado[0];
	
	$tempPalets=arreglaArrayPXMobileProxiumResult($datosPackingList['IDPalets']);
	
	foreach($tempPalets as $item) { //Agrupaciones de primer nivel
		if(!$item['IDPaletPadre']) {
		
			$productos=arreglaArrayPXMobileProxiumResult($item['Productos']);
			foreach($productos as $item2) if($item2['OrdenPreparacion']==$_SESSION['orden']['OrdenPreparacion']) $item['EnOrdenPreparacionActual']='S';
			
			$_SESSION['agrupaciones'][$item['IDPalet']]=$item;

			
		}
	}
	foreach($tempPalets as $item) { //Agrupaciones de segundo nivel
		if($item['IDPaletPadre']) {
		
			$productos=arreglaArrayPXMobileProxiumResult($item['Productos']);
			foreach($productos as $item2) if($item2['OrdenPreparacion']==$_SESSION['orden']['OrdenPreparacion']) $_SESSION['agrupaciones'][$item['IDPaletPadre']]['EnOrdenPreparacionActual']='S';
			
			$_SESSION['agrupaciones'][$item['IDPaletPadre']]['Cajas'][]=$item['IDPalet'];
			
			//21-12-2022 creo otro array con los tipos
			$_SESSION['agrupaciones'][$item['IDPaletPadre']]['CajasTipos'][$item['IDPalet']]=$item['TipoSoporte'];
	
		}
	}
	
}
else { //No es un tipo de orden con packing list


	//Recargamos datos de cabecera, qeu es donde esta el listado de palets
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	//TICKET 25066120 tras recargar los datos de la orden, perdíamos la procedencia
	$procedenciaPantallaTablet=$_SESSION['orden']['procedenciaPantallaTablet'];
	$_SESSION['orden']=$resultado[0];
	$_SESSION['orden']['procedenciaPantallaTablet']=$procedenciaPantallaTablet;
	
	//19-09-2025
	$pickingPorOleada=($_SESSION['orden']['TipoOrden']=='P' && $_SESSION['orden']['TipoOrdenDescripcion']=='Oleada por pedido');
	
	
	$tempPalets=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['PaletsPL']);
	$tempProductos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);
	
	foreach($tempPalets as $item) { //Agrupaciones de primer nivel
	
		//$tempInfoPalet=array('EnOrdenPreparacionActual'=>'S','IDPalet'=>$item['PaletPL'],'TipoPalet'=>$item['TipoPalet'],'PaletCerrado'=>$item['PaletCerrado']);
		$tempInfoPalet=array('IDPalet'=>$item['PaletPL'],'TipoPalet'=>$item['TipoPalet'],'PaletCerrado'=>$item['PaletCerrado']);
	
		foreach($tempProductos as $producto) {
			if($producto['Contenedor']==$item['PaletPL']) {
				if($pickingPorOleada) {
					if($producto['LeidoEnExpedicion']!='S') {
						$tempInfoPalet['EnOrdenPreparacionActual']='S';
					}
				}
				else {
					$tempInfoPalet['EnOrdenPreparacionActual']='S';
				}
			}
		}

		$_SESSION['agrupaciones'][$item['PaletPL']]=$tempInfoPalet;
		
	}

	
	//echo '<p>Agrupaciones:</p>';
	//print_r($_SESSION['agrupaciones']);

}


//

//print_r($_SESSION['agrupaciones']);

function listaPalets($ordenActual) {

	global $rutaHtml;
	global $noSeleccionarPalet;
	global $pedirContenedorDestinoUbicacion;
	global $gestionPickingCierrePalets;
	
	?><table cellpadding="5" style="margin: 0 auto"><?php
	
	if($gestionPickingCierrePalets) {
		?>
			<tr>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">CERRADO</td>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">&nbsp;</td>
			  <td valign="top">&nbsp;</td>
  			</tr>
        <?php
    }
	
	foreach($_SESSION['agrupaciones'] as $palet) {
	
		if( ($ordenActual && $palet['EnOrdenPreparacionActual']=='S') || (!$ordenActual && !$palet['EnOrdenPreparacionActual']) ) {
	
			$paletCajas=$palet['Cajas'];
			$paletProductos=arreglaArrayPXMobileProxiumResult($palet['Productos']);
		
			?>
            
            <tr>
			
			<td valign="top" width="300">
            	
                <?php if( $_SESSION['seleccionTipoPalet'] || $_SESSION['SeleccionTipoCajaSalida'] ) { ?>
                
				<select name="tipoPalet<?php echo $palet['IDPalet']; ?>" id="tipoPalet<?php echo $palet['IDPalet']; ?>" class="campo selectorTipoPalet" valorOriginal="<?php echo $palet['TipoSoporte']; ?>" IDPalet="<?php echo $palet['IDPalet']; ?>" >
					<option value="">---</option>
					
                    <?php if( $palet['EsCaja']=='S' && $_SESSION['SeleccionTipoCajaSalida'] ) { ?>
                    
                     <?php foreach($_SESSION['tiposCajas'] as $tipoCaja) { ?>
                     <!--<option value="<?php echo $tipoCaja['Codigo']; ?>"  <?php if($tipoCaja['Codigo']==$palet['TipoSoporte']) { ?>selected<?php } ?>><?php echo $tipoCaja['Descripcion']; ?></option>-->
                     <option value="<?php echo $tipoCaja['Codigo']; ?>"  <?php if($tipoCaja['Codigo']==$palet['TipoPalet']) { ?>selected<?php } ?>><?php echo $tipoCaja['Descripcion']; ?></option>
					<?php } ?>
                    
                    <?php } else { ?>
                    
					<?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
					<!--<option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoSoporte']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>-->
                    <option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoPalet']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
					<?php } ?>
                    
                    <?php } ?>
                    
				</select>
                
                <?php } ?>
                
            </td>
            
			<td valign="top" width="60">
            	<?php if($palet['EsCaja']=='S') { ?>
            	<img id="imagenPalet<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="40"/>
                <?php } else { ?>
                <img id="imagenPalet<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-vacio<?php if($_SESSION['tiposPalet'][$palet['TipoSoporte']]['CHEP']=='S') { ?>-chep<?php } ?>.png" width="50" height="36"/>
                <?php } ?>            </td>
			
			
			<td valign="top"  width="230" style="text-align:left">
			  <h2 id="itemPalet<?php echo $palet['IDPalet']; ?>" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $palet['IDPalet']; ?>" tipo="<?php echo $palet['TipoSoporte']; ?>" esCaja="<?php echo $palet['EsCaja']; ?>" seleccionado="<?php if($_SESSION['preparacionPaletActual']==$palet['IDPalet'] || $_SESSION['preparacionCajaPaletActual']==$palet['IDPalet']) { ?>si<?php } else { ?>no<?php } ?>" style="margin-top:0"><span class="selectorPalet clicable" ><?php echo $palet['IDPalet']; ?></span></h2>
                
                <?php if( $paletCajas && count($paletCajas)>0 ) { ?>
                
                	Cajas contenidas en este Palet:
                    
                    <table width="334" style="margin-top:10px">
                    	<?php foreach($paletCajas as $caja) { ?>
                    	<tr>
                        
                        	<?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>
                            
                            <?php
							//buscamos el tipo de caja porque en el array de cajas no lo habíamos incluido
							unset($tipoCajaOriginal);
							$tipoCajaOriginal=$_SESSION['agrupaciones'][$palet['IDPalet']]['CajasTipos'][$caja];
							?>
                            
                    	  	<td>
                            <select name="tipoPalet<?php echo $caja; ?>" id="tipoPalet<?php echo $caja; ?>" class="campo selectorTipoPalet noAjustarTamaño" valorOriginal="<?php echo $tipoCajaOriginal; ?>" IDPalet="<?php echo $caja; ?>" style="margin-right:15px">
								<option value="">---</option>
								<?php foreach($_SESSION['tiposCajas'] as $tipoCaja) { ?>
                     			<option value="<?php echo $tipoCaja['Codigo']; ?>"  <?php if($tipoCaja['Codigo']==$tipoCajaOriginal) { ?>selected<?php } ?>><?php echo $tipoCaja['Descripcion']; ?></option>
                                <?php } ?>
                            </select>
                            </td>
                            <?php } ?>
                          
                        	<td width="50" style="padding:5px 10px 20px 0"><img id="imagenPalet<?php echo $caja; ?>" src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="30" style="margin-bottom:-10px"/></td>
                            <td width="120">
                            	<div id="itemPalet<?php echo $caja; ?>" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $caja; ?>" tipo="<?php echo $tipoCajaOriginal; ?>" EsCaja="S" IDPaletPadre="<?php echo $palet['IDPalet']; ?>" tipoPadre="<?php echo $palet['TipoSoporte']; ?>" seleccionado="<?php if($_SESSION['preparacionCajaPaletActual']==$caja) { ?>si<?php } else { ?>no<?php } ?>" style="margin-top:0;font-size:1.3em"><span class="selectorPalet clicable" ><?php echo $caja; ?></span></div>                            </td>
                            <td width="40">
                            <?php if($_SESSION['preparacionCajaPaletActual']==$caja) { ?>
                            <img class="imagenPaletOk selectorPalet clicable" id="imagenPaletOk<?php echo $caja; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" width="37" />
                            <?php } else { ?>
                            <img class="imagenPaletOk selectorPalet clicable" id="imagenPaletOk<?php echo $caja; ?>" src="" width="37" />
                            <?php } ?>                            </td>
                            <td width="40">
                            <?php if($_SESSION['preparacionCajaPaletActualFijada']==$caja) { ?>
                            <img class="selectorPaletFijado clicable" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $caja; ?>" esCaja="S" tipo="<?php echo $tipoCajaOriginal; ?>" IDPaletPadre="<?php echo $palet['IDPalet']; ?>" tipoPadre="<?php echo $palet['TipoSoporte']; ?>" id="imagenPaletFijado<?php echo $caja; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-fijar.png" width="30" seleccionado="si"/>
                            <?php } else { ?>
                            <img class="selectorPaletFijado clicable" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $caja; ?>" esCaja="S" tipo="<?php echo $tipoCajaOriginal; ?>" IDPaletPadre="<?php echo $palet['IDPalet']; ?>" tipoPadre="<?php echo $palet['TipoSoporte']; ?>" id="imagenPaletFijado<?php echo $caja; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-fijar-off.png" width="30" seleccionado="no"/>
                            <?php } ?>                            </td>
                        </tr>
                        <?php } ?>
                    </table>
                
              <?php } ?>			</td>
            
            
            <?php if($gestionPickingCierrePalets) { ?>
            <td valign="top" align="center">
            <input name="pickingCerrarPalet<?php echo $palet['IDPalet']; ?>" id="pickingCerrarPalet<?php echo $palet['IDPalet']; ?>" type="checkbox" value="" class="checkGrande pickingCerrarPalet" palet="<?php echo $palet['IDPalet']; ?>" <?php if($palet['PaletCerrado']=='S') { ?>checked<?php } ?>/>
            </td>
            <?php } ?>
            
			<?php if(! $noSeleccionarPalet ) { ?>
			
            	<?php if($pedirContenedorDestinoUbicacion) { ?>
                
                <td valign="top" >
                	<?php echo $palet['Ubicacion']; ?>                </td>
                
                <?php } ?>
            
                <td valign="top"  width="60">
                    <?php if( $_SESSION['preparacionPaletActual']==$palet['IDPalet'] || $_SESSION['preparacionCajaPaletActual']==$palet['IDPalet'] ) { ?>
                    <img class="imagenPaletOk selectorPalet clicable" id="imagenPaletOk<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" width="47" />
                    <?php } else { ?>
                    <img class="imagenPaletOk selectorPalet clicable" id="imagenPaletOk<?php echo $palet['IDPalet']; ?>" src="" width="47" />
                    <?php } ?>                </td>
                
                <td valign="top"  width="60">
                    <?php if( $_SESSION['preparacionPaletActualFijado']==$palet['IDPalet'] || $_SESSION['preparacionCajaPaletActualFijada']==$palet['IDPalet'] ) { ?>
                    <img class="selectorPaletFijado clicable" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $palet['IDPalet']; ?>" esCaja="<?php echo $palet['EsCaja']; ?>" tipo="<?php echo $palet['TipoSoporte']; ?>" IDPaletPadre="" id="imagenPaletFijado<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-fijar.png" width="35" seleccionado="si"/>
                    <?php } else { ?>
                    <img class="selectorPaletFijado clicable" ubicacion="<?php echo $palet['Ubicacion']; ?>" IDPalet="<?php echo $palet['IDPalet']; ?>" esCaja="<?php echo $palet['EsCaja']; ?>" tipo="<?php echo $palet['TipoSoporte']; ?>" IDPaletPadre="" id="imagenPaletFijado<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-fijar-off.png" width="35" seleccionado="no"/>
                    <?php } ?>                </td>
            
            <?php } //fin si se puede seleccionar palet ?>
            
			<td valign="top"  width="60">
				<?php if($paletCajas && count($paletCajas)==0 && $paletProductos && count($paletProductos)==0 && $_SESSION['orden']['TipoOrden']!='P' ) { ?>
				<img id="borrarPalet<?php echo $palet['IDPalet']; ?>" palet="<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" style="width:25px;margin-top:5px" class="borrarPalet clicable"/>
				<?php } ?>			</td>
			</tr>
			<?php
		
		}
	
	}
	
	?></table>
<?php
}
?>

<p>Agrupaciones utilizadas en la Preparación actual:</p>

<?php listaPalets(true); ?>

<?php if($_SESSION['orden']['TipoOrden']!='P') { ?>

<p>Otras Agrupaciones asociadas al Packing List:</p>

<?php listaPalets(false); ?>

<?php } ?>

<script>

	var paletsDisponiblesEnPackingList=new Array();
	var cajasDisponiblesEnPackingList=new Array();
	
	<?php foreach($_SESSION['agrupaciones'] as $item) { ?>
		<?php if($item['EsCaja']=='S') { ?>
			cajasDisponiblesEnPackingList.push( new Array('<?php echo $item['IDPalet']; ?>','') );
		<?php } else { ?>	
			paletsDisponiblesEnPackingList.push('<?php echo $item['IDPalet']; ?>');
			<?php foreach($item['Cajas'] as $item2) { ?>
			cajasDisponiblesEnPackingList.push( new Array('<?php echo $item2; ?>','<?php echo $item['IDPalet']; ?>') );
			<?php } ?>
		<?php } ?>
	<?php } ?>
	
	function evaluaAutomatizacionCajasPalets() {
		
		var caja=$('#cajaPaletDestino').val();
		var palet=$('#contenedorDestino').val();
		
		for(var i=0;i<cajasDisponiblesEnPackingList.length;i++) {
			if( caja==cajasDisponiblesEnPackingList[i][0] && cajasDisponiblesEnPackingList[i][1]!='' ) {
				$('#contenedorDestino').val(cajasDisponiblesEnPackingList[i][1]);
				$('#contenedorDestino').trigger('change');
			}
		}
		
	}
	
	function validaCajaPalet() {
		
		var caja=$('#cajaPaletDestino').val();
		var palet=$('#contenedorDestino').val();
		
		var errorCaja;
		var errorPalet;
		
		//console.log('cajas');
		//console.log(cajasDisponiblesEnPackingList);
		//console.log('palets');
		//console.log(paletsDisponiblesEnPackingList);
		
		//Comprobacion de la validez según el esquema actual:
		for(var i=0;i<cajasDisponiblesEnPackingList.length;i++) {
			if( palet==cajasDisponiblesEnPackingList[i][0] ) errorCaja=true;
		}
		for(var i=0;i<paletsDisponiblesEnPackingList.length;i++) {
			if( caja==paletsDisponiblesEnPackingList[i] ) errorPalet=true;
		}
		
		if(errorCaja) {
			alert('El identificador introducido en el campo Palet Destino corresponde a una Caja',null,'error');
			return false;
		}
		else if(errorPalet) {
			alert('El identificador introducido en el campo Caja Destino corresponde a un Palet',null,'error');
			return false;
		}
		else return true;
		
	}
	
	

	$(document).ready(function() {
	
		<?php if($_SESSION['preparacionPaletActual'] || $_SESSION['preparacionCajaPaletActual']) { ?>
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-palet-contenido.php", { 'contenedor' : '<?php if($_SESSION['preparacionCajaPaletActual']) echo $_SESSION['preparacionCajaPaletActual']; else echo $_SESSION['preparacionPaletActual']; ?>' , 'packinglist' : $('#packingList').val() })
		.done(function(data) {
				$('#contenidoPalet').html(data);
				$('#popupCargando').hide();
		});
		
		<?php } ?>
	
		<?php if(! $noSeleccionarPalet ) { ?>
	
		$(document).on('click','.selectorPalet',function() {
		
			var contenedor=$(this).parent().attr('IDPalet');
			var esCaja=$(this).parent().attr('EsCaja');
			var ubicacion=$(this).parent().attr('Ubicacion');
			
			var tipo=$(this).parent().attr('tipo');
			var idPaletPadre=$(this).parent().attr('IDPaletPadre');
			var tipoPadre=$(this).parent().attr('tipoPadre');
			
			if( $(this).parent().attr('seleccionado')=='no' ) {
				
				<?php if($gestionPickingCierrePalets) { ?>
				
				if( $('#pickingCerrarPalet'+contenedor).is(':checked') ) {
					alert('No puede seleccionarse un palet cerrado para preparar más producto.',null,'advertencia');
				}
				else {
				
				<?php } ?>
				
					$('#popupCargando').show();
					
					console.log('CAJA - id: '+contenedor);
					console.log('CAJA - esCaja: '+esCaja);
					console.log('CAJA - tipo: '+tipo);
					console.log('CAJA - idPaletPadre: '+idPaletPadre);
					console.log('CAJA - tipoPadre: '+tipoPadre);
					
					//seleccionaPalet(palet,noMoverPestanya,caja,ubicacion,paletTipo,cajaTipo)
					
					if(esCaja=='S') {
						console.log('CAJA - Se ha seleccionado una caja');
						if(idPaletPadre) {
							console.log('CAJA - Tiene palet padre');
							seleccionaPalet(idPaletPadre,false,contenedor,ubicacion,tipoPadre,tipo);
						}
						else {
							console.log('CAJA - NO Tiene palet padre');
							seleccionaPalet('',false,contenedor,ubicacion,'',tipo);
						}
					}
					else seleccionaPalet(contenedor,false,'',ubicacion,tipo,'');
				
				<?php if($gestionPickingCierrePalets) { ?>
				}
				<?php } ?>
			}
		
		});
		
		$(document).on('click','.selectorPaletFijado',function() {
		
			var contenedor=$(this).attr('IDPalet');
			var contenedorPadre=$(this).attr('IDPaletPadre');
			var esCaja=$(this).attr('esCaja');
			var ubicacion=$(this).attr('ubicacion');
			
			var tipo=$(this).attr('tipo');
			var tipoPadre=$(this).attr('tipoPadre');
			
			if( $(this).attr('seleccionado')=='no' ) {
			
				<?php if($gestionPickingCierrePalets) { ?>
				
				if( $('#pickingCerrarPalet'+contenedor).is(':checked') ) {
					alert('No puede fijar un palet cerrado para preparar más producto.',null,'advertencia');
				}
				else {
				
				<?php } ?>
			
				fijarPalet(contenedor,contenedorPadre,esCaja,ubicacion,tipo,tipoPadre);
				
				<?php if($gestionPickingCierrePalets) { ?>
				}
				<?php } ?>
			}
			else {
				desfijarPalets();
			}
		
		});
		
		<?php } ?>
		
		$('.borrarPalet').on("click",function() {
		
			var palet=$(this).attr('palet');
		
			confirm('Se va a proceder a desasociar la matrícula '+palet+' del Packing List <?php echo $_SESSION['orden']['PackingList']; ?>.<br><br>¿Deseas continuar?')
			.done(function(){
			
				$('#popupCargando').show();
			
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-palet-desasociar.php", { 'palet' : palet , 'packing' : '<?php echo $_SESSION['orden']['PackingList']; ?>' })
				.done(function(data) {
				
					$('#popupCargando').hide();
			
					var valores=data.split('#');
			
					if(valores[0]==1) {
						alert('ERROR: '+valores[1]);
					}
					else {
						<?php if( $noSeleccionarPalet ) { //Esto solo ocurre si estamos en la pantalla de revision, no en el proceso de OP ?>
							$('#popupCargando').show();
							window.location='<?php echo $rutaHtml; ?>/orden-preparacion-palets-listado.php';
						<?php } else { ?>
							cargaListadoPalets();
							<?php if($_SESSION['gestionPaletizado']=='N') { ?>
							cargaListadoCajas();
							<?php } ?>
						<?php } ?>
					}
				
				});
			
			});
			
		});
		
		$('.selectorTipoPalet').on('change',function() {
		
			var selector=$(this);
			
			var IDPalet=selector.attr('IDPalet');
			var valorOriginal=selector.attr('valorOriginal');
		
			var seleccionado=selector.children('option:selected').val();
			var esChep=selector.children('option:selected').attr('chep');
			
			if(!seleccionado) {
				alert('No puedes dejar una agrupación sin tipo informado.',null,'advertencia');
				selector.val(valorOriginal);
			}
			else {
		
				confirm('¿Deseas redefinir el tipo de soporte de la agrupación Nº '+IDPalet+'?')
				.done(function(){
				
					$('#popupCargando').show();
				
					$.post( "<?php echo $rutaHtml; ?>/contenidos/palet-tipificar.php", { 'cadenaPalets' : IDPalet+','+seleccionado })
					.done(function() {
					
						selector.val(seleccionado);
						selector.children('option[value='+seleccionado+']').attr('selected',true);
						
						if(esChep=='S') $('#imagenPalet'+IDPalet).attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
						else $('#imagenPalet'+IDPalet).attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
						
						$('#popupCargando').hide();
					});
				})
				.fail(function(){
					selector.val(valorOriginal);
					selector.children('option[value='+valorOriginal+']').attr('selected',true);
				});
			
			}
			
		
		});
	
	});
	
</script>